/*////////////////////////////////////////////////////////////////////////////
	PROJECT:	PIC Ethernet
	COPYRIGHT	 2006 Dean J. Boman

	FILE:		TCPCommand.c
	AUTHOR:		Dean J. Boman

	OVERVIEW:
		This implements the TCP command interface for the PIC Ethernet board. A 
		port is opened and monitored for an external connection.  When a connection
		is detected the input data is examined for a valid command.  If a command is 
		found the command is executed and any return data sent back to the source.

	REVISION HISTORY:

	Oct. 2, 2006	Initial development


*/////////////////////////////////////////////////////////////////////////////
#ifndef TCPCOMMAND_H
#define TCPCOMMAND_H

#include "..\Include\typedef.h"

#define TCPCmd_PORT				(4000)		//Command Port
#define TCP_CMD_DATA_LEN		(20)		//Max size of input command data
#define TCP_RESP_DATA_LEN		(250)		//Max size of output response data



void TCPCmdInit(void);
void TCPCmdProcess(void);


/*
* Main application must implement this callback functions
* to complete TCP command implementation.
*/
extern boolean TCPCommandDecode(uint8 *CmdString,uint8 *RespString);



#endif
